name: store_logistics_app
description: "A new Flutter project."
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+2

 # Running on Flutter SDK Version 3.27.0

environment:
  sdk: ^3.6.0

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.8
  firebase_core: ^4.0.0
  firebase_auth: ^6.0.1
  cloud_firestore: ^6.0.0
  firebase_storage: ^13.0.0
  firebase_crashlytics: ^5.0.0
  firebase_analytics: ^12.0.0

  firebase_messaging: ^16.0.0
  flutter_local_notifications: ^18.0.0

  uuid: ^4.5.1
  http: ^1.5.0

  get: ^4.7.2
  flutter_riverpod: ^2.6.1
  riverpod: ^2.6.1


  google_fonts: ^6.3.0
  font_awesome_flutter: ^10.9.1
  shared_preferences: ^2.5.3
  expandable: ^5.0.1
  intl: ^0.20.2
  toggle_switch: ^2.3.0
  image_picker: ^1.2.0
  fade_shimmer: ^2.4.0
  connectivity_plus: ^6.1.5
  flutter_spinkit: ^5.2.2



  esc_pos_utils: ^1.1.0
  flutter_pos_printer_platform: 1.0.12
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  html_unescape: ^2.0.0
  charset_converter: ^2.1.1
  win32: ^5.0.0
  package_rename: ^1.10.0

  permission_handler: ^11.0.1 # For storage permission handling
  share_plus: ^7.0.2 # If you want to implement sharing functionality
  path_provider: ^2.1.1 # For accessing device directories
  logger: ^2.0.2 # For advanced logging capabilities
  device_info_plus: ^10.1.2 # For device information and Android SDK version


dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^5.0.0
  hive_generator: ^2.0.0
  build_runner: ^2.3.2
  package_rename: ^1.10.0


flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/icons/
#    - assets/audio/

  fonts:
    - family: poppins
      fonts:
        - asset: fonts/poppins/Poppins-Light.ttf
          weight: 300
        - asset: fonts/poppins/Poppins-Regular.ttf
          weight: 400
        - asset: fonts/poppins/Poppins-Medium.ttf
          weight: 500
        - asset: fonts/poppins/Poppins-SemiBold.ttf
          weight: 600
        - asset: fonts/poppins/Poppins-Bold.ttf
          weight: 700


# + REMEMBER TO CHANGE THESE BEFORE MOVING TO PRODUCTION / MAIN
package_rename_config:
  android:
    app_name: StoreLogistics
    package_name: com.tostydevs.storelogistics_prod2


  ios:
    app_name: StoreLogistics
    bundle_name: Sanmiwago
    package_name: com.tostydevs.storelogistics_prod2



#  fvm dart run package_rename


#  StoreLogistics_Merge
#  com:tostydevs:storelogistics_merge

#  StoreLogistics_prod1
#  com:tostydevs:storelogistics_prod1

#  StoreLogistics_prod1
#  com:tostydevs:storelogistics_prod2